Menu

apiCategoryAttributes

RequêteClé requise

Shop API: the attributes apiSubmitListing validates for a category (and family), with options and which codes are required or variant axes.

Arguments

NomTypeDescription
categoryIdString!requis
familyIdString

Retourne

ApiCategoryAttributesView!

Exemple

GraphQL
query ApiCategoryAttributes($categoryId: String!, $familyId: String) {
  apiCategoryAttributes(categoryId: $categoryId, familyId: $familyId) {
    attributes {
      attributeId
      code
      group
      isVariantAxis
      position
      required
      type
      unit
      validationJson
    }
    categoryId
    configured
    familyId
    requiredCodes
    variantAxes
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiCategoryAttributes($categoryId: String!, $familyId: String) { apiCategoryAttributes(categoryId: $categoryId, familyId: $familyId) { attributes { attributeId code group isVariantAxis position required type unit validationJson } categoryId configured familyId requiredCodes variantAxes } }"}'